List Jobs - Beeble API Documentation
List Jobs
cURL
curl --request GET \
--url 'https://api.beeble.ai/v1/switchx/generations?limit=20' \
--header 'x-api-key: <api-key>'
Python
import requests
url = "https://api.beeble.ai/v1/switchx/generations?limit=20"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeble.ai/v1/switchx/generations?limit=20', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"jobs": [
{
"id": "<string>",
"status": "<string>",
"progress": 72,
"generation_type": "<string>",
"alpha_mode": "<string>",
"output": {
"render": "<string>",
"source": "<string>",
"alpha": "<string>"
},
"seed": 123,
"error": "<string>",
"created_at": "<string>",
"modified_at": "<string>",
"completed_at": "<string>",
"webhook": {
"status": "<string>",
"attempts": 1,
"last_error": "<string>"
}
}
],
"next_page_token": "<string>"
}
Authorizations
x-api-key
string
header
required
Your Developer API key.
Query Parameters
- limit
integer
default: 20
Number of items per page. Required range:1 <= x <= 100 - page_token
string | null
Pagination token.
Response
200 - application/json
Successful Response
Paginated list of SwitchX jobs.
jobs
SwitchXStatusResponse · object[]next_page_token
string | null
Pass as page_token to fetch the next page. Null when no more results.